require 'logger'
require "yaml"
require "duniversity/version"
require "duniversity/saudacao/logger"

module Duniversity
  class Saudacao
    attr_accessor :config

    def initialize(yaml_path)
      self.config= {
          :log_path => "/tmp/saudacao.log",
          :ola_txt => "Ola!"
      }

      @valid_keys = {
          :log_path => "",
          :ola_txt => "",
      }

      begin
        data = YAML::load(IO.read(yaml_path))
      rescue Exception => e
        puts "Problema ao carregar YAML com erro #{e.message} para o caminho #{yaml_path}"
        exit(1)
      end

      data.each {|k,v|
        self.config[k.to_sym] = v if @valid_keys.include? k.to_sym
      }
      self.logger= Logger.new(config[:log_path])
      self.logger.debug "Inicializado com sucesso"
    end

    def ola
      self.config[:ola_txt]
    end

    def sauda
      case Time.new.hour
        when 0...12
          "Bom dia!"
        when 12...18
          "Boa tarde"
        else
          "Boa Noite"
      end
    end
  end
end
